# Class BasicSliderUI.ChangeHandler

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.ChangeHandler

All Implemented Interfaces:
  `EventListener, ChangeListener`

Enclosing class:
  `BasicSliderUI`

public class BasicSliderUI.ChangeHandler extends Object implements ChangeListener
Data model listener. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

## Constructor Summary

Constructors
Constructor
Description
`ChangeHandler()`
Constructs a `ChangeHandler`.

## Method Summary

Modifier and Type
Method
Description
`void`
`stateChanged(ChangeEvent e)`
Invoked when the target of the listener has changed its state.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChangeHandler

public ChangeHandler()
Constructs a `ChangeHandler`.

## Method Details

### stateChanged

public void stateChanged(ChangeEvent e)
Description copied from interface: `ChangeListener`
Invoked when the target of the listener has changed its state.

Specified by:
  `stateChanged` in interface `ChangeListener`
Parameters:
  `e` - a ChangeEvent object